%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/ALTree/bigfloat
Version:                0.2.0

%gometa


%global common_description %{expand:
Additional operations for the standard library big.Float type.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Additional operations for the standard library big.Float type

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
